FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 02-10-2010, 10:32 AM
Dale
 
Default KDE-4.4 strikes again

chrome://messenger/locale/messengercompose/composeMsgs.properties:

Also, are you aware that as of yesterday, KDE-4.4 was still hard masked in
$PORTDIR/profiles/package.mask? It may have been removed meanwhile since my
last sync.




Maybe some of us synced in the middle of a update then? I get this:

root@smoker / # equery list -p kde-meta
[ Searching for package 'kde-meta' in all categories among: ]
* installed packages
[I--] [ ] kde-base/kde-meta-3.5.10 (3.5)
[I--] [ ~] kde-base/kde-meta-4.3.5 (4.3)
* Portage tree (/usr/portage)
[-P-] [ ] kde-base/kde-meta-4.3.3 (4.3)
[-P-] [ ~] kde-base/kde-meta-4.3.4 (4.3)
[-P-] [ ~] kde-base/kde-meta-4.4.0 (4.4)
root@smoker / #

That explains why autounmask added things to package.keyword but not
unmask here. They are still keyworded but not masked. This makes since
on my rig at least.


Dale

:-) :-)
 
Old 02-10-2010, 02:25 PM
Paul Hartman
 
Default KDE-4.4 strikes again

On Wed, Feb 10, 2010 at 2:36 AM, Helmut Jarausch
<jarausch@igpm.rwth-aachen.de> wrote:
> Hi,
>
> has anybody a recipe on this upgrade hell each time KDE release a new
> version?
> This time existing KDE-4.3.5 packages block KDE-4.4 packages though they
> go to different slots.
> Even portage-2.2_rc62 is unable to cope with that.

I use the kde overlay and the unmask/keywords files it contains. The
only thing I had to do manually was unmask newest version of libmsn.
After that it all emerged in one try.
 
Old 02-10-2010, 04:46 PM
Frank Steinmetzger
 
Default KDE-4.4 strikes again

Am Mittwoch, 10. Februar 2010 schrieb Helmut Jarausch:
> Hi,
>
> has anybody a recipe on this upgrade hell each time KDE release a new
> version?
> This time existing KDE-4.3.5 packages block KDE-4.4 packages though they
> go to different slots.
> Even portage-2.2_rc62 is unable to cope with that.
>
> Thanks for a hint,
> Helmut.

Well I only had some issues with packages that didn't have a 4.4 version, like
soliduiserver. So I guessed they don't need that anymore and a removed it.
Turned out it was a hard block because I had it in world.
--
Gruß | Greetings | Qapla'
Why did the tachyon cross the road?
Because it was on the other side.
 
Old 02-10-2010, 05:04 PM
Volker Armin Hemmann
 
Default KDE-4.4 strikes again

On Mittwoch 10 Februar 2010, Frank Steinmetzger wrote:
> Am Mittwoch, 10. Februar 2010 schrieb Helmut Jarausch:
> > Hi,
> >
> > has anybody a recipe on this upgrade hell each time KDE release a new
> > version?
> > This time existing KDE-4.3.5 packages block KDE-4.4 packages though they
> > go to different slots.
> > Even portage-2.2_rc62 is unable to cope with that.
> >
> > Thanks for a hint,
> > Helmut.
>
> Well I only had some issues with packages that didn't have a 4.4 version,
> like soliduiserver. So I guessed they don't need that anymore and a
> removed it. Turned out it was a hard block because I had it in world.

so? set -virtuoso in make.conf.

neither soprano nor kdelibs hard-depend on it.
 
Old 02-10-2010, 08:09 PM
Frank Steinmetzger
 
Default KDE-4.4 strikes again

Am Mittwoch, 10. Februar 2010 schrieb Volker Armin Hemmann:

> > Well I only had some issues with packages that didn't have a 4.4 version,
> > like soliduiserver. So I guessed they don't need that anymore and a
> > removed it. Turned out it was a hard block because I had it in world.
>
> so? set -virtuoso in make.conf.
>
> neither soprano nor kdelibs hard-depend on it.

That was the first I tried, but then portage told me that something, it must
have been kdelibs, depended on soprano[dbus,raptor,redland,virtuoso]. So next
I tried with -semantic-desktop, but that, too, Hm... now it doesn’t anymore.
I don’t know what changed it, perhaps the cleanup of old 4.3 packages. :-/

Well, whatever. I let it download over night and install during the afternoon
while I was out. Now it’s too late to ponder about it any further. Who knows,
perhaps I can even befriend with all that stuff.
--
GruĂź | Greetings | Qapla'
*** Quits: TITANIC (Excess Flood)
 

Thread Tools




All times are GMT. The time now is 05:42 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org